channels:
  - conda-forge
  - bioconda
  - nodefaults
dependencies:
  - conda-forge::python=3.10
  - conda-forge::pip=23.3.1
  - conda-forge::shap=0.41.0
  - conda-forge::pytables=3.7.0
  - conda-forge::scikit-learn=1.2.1
  - conda-forge::numpy=1.23.1
  - conda-forge::scanpy=1.9.3
  - conda-forge::fa2=0.3.5
  - conda-forge::python-igraph=0.9.11
  # - conda-forge::rpy2=3.5.11
  # - conda-forge::r-base=4.2.3
  - conda-forge::tensorflow=2.11.0
  - pip: 
    - "--editable=git+https://github.com/austintwang/SCARlink.git#egg=scarlink"